using LinqToDB.Mapping;

#pragma warning disable CS8618

namespace zotanpw_web.database.Tables;

[Table(Name = "PlaylistHistory")]
public class PlaylistHistoryEntry {
	[Column(Name = "EntryID"), PrimaryKey, Identity, NotNull] public int      EntryId  { get; set; }
	[Column(Name = "DateTime"), NotNull]                      public DateTime DateTime { get; set; }
	[Column(Name = "Author"), NotNull]                        public string   Artist   { get; set; }
	[Column(Name = "Title"), NotNull]                         public string   Title    { get; set; }
	[Column(Name = "Source"), NotNull]                        public string   Source   { get; set; }
	[Column(Name = "Link")]                                   public string   Link     { get; set; }
}